Create seat tracking limit request
curl --request POST \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"proposedLimit": 100,
"justification": "Need more headroom for Q3 projects.",
"durationIntent": "ongoing"
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests"
payload = {
"proposedLimit": 100,
"justification": "Need more headroom for Q3 projects.",
"durationIntent": "ongoing"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
proposedLimit: 100,
justification: 'Need more headroom for Q3 projects.',
durationIntent: 'ongoing'
})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests"
payload := strings.NewReader("{\n \"proposedLimit\": 100,\n \"justification\": \"Need more headroom for Q3 projects.\",\n \"durationIntent\": \"ongoing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "req_abc",
"budgetId": "budget-1",
"requestNumber": 1,
"displayKey": "ENG-1",
"userId": "user-1",
"requestedByUserId": "user-1",
"currentLimit": 50,
"proposedLimit": 100,
"appliedLimit": null,
"justification": "Need more headroom for Q3 projects.",
"origin": "self",
"durationIntent": "ongoing",
"reviewAgainOn": null,
"status": "open",
"decidedByUserId": null,
"decidedAt": null,
"contextSnapshot": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"externalLinks": []
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Create seat tracking limit request
Create a new seat limit request.
POST
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
/
requests
Create seat tracking limit request
curl --request POST \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"proposedLimit": 100,
"justification": "Need more headroom for Q3 projects.",
"durationIntent": "ongoing"
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests"
payload = {
"proposedLimit": 100,
"justification": "Need more headroom for Q3 projects.",
"durationIntent": "ongoing"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
proposedLimit: 100,
justification: 'Need more headroom for Q3 projects.',
durationIntent: 'ongoing'
})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests"
payload := strings.NewReader("{\n \"proposedLimit\": 100,\n \"justification\": \"Need more headroom for Q3 projects.\",\n \"durationIntent\": \"ongoing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "req_abc",
"budgetId": "budget-1",
"requestNumber": 1,
"displayKey": "ENG-1",
"userId": "user-1",
"requestedByUserId": "user-1",
"currentLimit": 50,
"proposedLimit": 100,
"appliedLimit": null,
"justification": "Need more headroom for Q3 projects.",
"origin": "self",
"durationIntent": "ongoing",
"reviewAgainOn": null,
"status": "open",
"decidedByUserId": null,
"decidedAt": null,
"contextSnapshot": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"externalLinks": []
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Seat tracking project ID
Body
application/json
Required range:
x > 0Required string length:
1 - 4000Available options:
ongoing, temporary Minimum string length:
1Available options:
self, alert, manager_proactive Response
Create a new seat limit request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I